Django 配置mysql遇到问题(一)

问题一:

    django.core.exceptions.ImproperlyConfigured: mysqlclient 1.3.13 or newer is required; you have 0.9.3

该问题不是mysqlclient版本低导致的,查看最新的mysql版本就是 0.9.3

需要更改  

xxx/python3.6/site-packages/django/db/backends/mysql/base.py 如下图 注释掉if语句

分享图片

 

 配置前需要在 在setting进行如下配置:

import os

import pymysql

pymysql.install_as_MySQLdb()
相关文章
相关标签/搜索